The new GWT-based WYSIWYG editor doesn't support the syntax

classic Classic list List threaded Threaded
16 messages Options
Reply | Threaded
Open this post in threaded view
|

The new GWT-based WYSIWYG editor doesn't support the syntax

Lee Chalupa
Sorry if this is a double post. I was informed that my last post was not accepted since I was not subscribed to this mailing list.

Does anyone know what this message means? I recently converted from 1.4 to
2.3 of Enterprise and now when I try to create a new page, I get this
message.

____________

"The new GWT-based WYSIWYG editor doesn't support the syntax of the current
document: xwiki/2.0."
____________


I've searched xwiki documentation including FAQ but I can't find anything on
this subject.

Does this xwiki application document error messages someplace?

I'm stuck. Can someone give me some ideas on where to look for answers.

Lee
Reply | Threaded
Open this post in threaded view
|

Re: The new GWT-based WYSIWYG editor doesn't support the syntax

Marius Dumitru Florea
Hi Lee,

Add com.xpn.xwiki.wysiwyg.server.plugin.WysiwygPlugin to xwiki.plugins
in xwiki.cfg and the editor will work.

Hope this helps,
Marius

On 06/03/2010 07:05 PM, Lee Chalupa wrote:

>
> Sorry if this is a double post. I was informed that my last post was not
> accepted since I was not subscribed to this mailing list.
>
> Does anyone know what this message means? I recently converted from 1.4 to
> 2.3 of Enterprise and now when I try to create a new page, I get this
> message.
>
> ____________
>
> "The new GWT-based WYSIWYG editor doesn't support the syntax of the current
> document: xwiki/2.0."
> ____________
>
>
> I've searched xwiki documentation including FAQ but I can't find anything on
> this subject.
>
> Does this xwiki application document error messages someplace?
>
> I'm stuck. Can someone give me some ideas on where to look for answers.
>
> Lee
>
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: The new GWT-based WYSIWYG editor doesn't support the syntax

Lee Chalupa
Hello. The plugin is in the config file.  Here is a list of my plugins.

xwiki.plugins=\
                    com.xpn.xwiki.monitor.api.MonitorPlugin,\
                     com.xpn.xwiki.plugin.calendar.CalendarPlugin,\
                    com.xpn.xwiki.plugin.skinx.JsSkinExtensionPlugin,\
                    com.xpn.xwiki.plugin.skinx.JsSkinFileExtensionPlugin,\
                    com.xpn.xwiki.plugin.skinx.CssSkinExtensionPlugin,\
                    com.xpn.xwiki.plugin.skinx.CssSkinFileExtensionPlugin,\
                    com.xpn.xwiki.plugin.feed.FeedPlugin,\
                    com.xpn.xwiki.plugin.ldap.LDAPPlugin,\
                    com.xpn.xwiki.plugin.google.GooglePlugin,\
                    com.xpn.xwiki.plugin.flickr.FlickrPlugin,\
                    com.xpn.xwiki.plugin.mail.MailPlugin,\
                    com.xpn.xwiki.plugin.packaging.PackagePlugin,\
                    com.xpn.xwiki.plugin.query.QueryPlugin,\
                    com.xpn.xwiki.plugin.svg.SVGPlugin,\
                    com.xpn.xwiki.plugin.charts.ChartingPlugin,\
                    com.xpn.xwiki.plugin.fileupload.FileUploadPlugin,\
                    com.xpn.xwiki.plugin.image.ImagePlugin,\
                    com.xpn.xwiki.plugin.captcha.CaptchaPlugin,\
                    com.xpn.xwiki.plugin.userdirectory.UserDirectoryPlugin,\
                    com.xpn.xwiki.plugin.usertools.XWikiUserManagementToolsImpl,\
                    com.xpn.xwiki.plugin.zipexplorer.ZipExplorerPlugin,\
                    com.xpn.xwiki.plugin.autotag.AutoTagPlugin,\
                    com.xpn.xwiki.plugin.lucene.LucenePlugin,\
                    com.xpn.xwiki.plugin.diff.DiffPlugin,\
                    com.xpn.xwiki.plugin.rightsmanager.RightsManagerPlugin,\
                    com.xpn.xwiki.plugin.jodatime.JodaTimePlugin,\
                    com.xpn.xwiki.plugin.scheduler.SchedulerPlugin,\
                    com.xpn.xwiki.plugin.mailsender.MailSenderPlugin,\
                    com.xpn.xwiki.plugin.activitystream.plugin.ActivityStreamPlugin, \
                    com.xpn.xwiki.plugin.watchlist.WatchListPlugin, \
                    com.xpn.xwiki.wysiwyg.server.plugin.WysiwygPlugin, \
                    com.xpn.xwiki.plugin.tag.TagPlugin


What else might it be?

Thanks

Lee
Reply | Threaded
Open this post in threaded view
|

Re: The new GWT-based WYSIWYG editor doesn't support the syntax

Marius Dumitru Florea
Hi Lee,

On 06/12/2010 09:51 PM, Lee Chalupa wrote:

>
> Hello. The plugin is in the config file.  Here is a list of my plugins.
>
> xwiki.plugins=\
>                      com.xpn.xwiki.monitor.api.MonitorPlugin,\
>                       com.xpn.xwiki.plugin.calendar.CalendarPlugin,\
>                      com.xpn.xwiki.plugin.skinx.JsSkinExtensionPlugin,\
>                      com.xpn.xwiki.plugin.skinx.JsSkinFileExtensionPlugin,\
>                      com.xpn.xwiki.plugin.skinx.CssSkinExtensionPlugin,\
>                      com.xpn.xwiki.plugin.skinx.CssSkinFileExtensionPlugin,\
>                      com.xpn.xwiki.plugin.feed.FeedPlugin,\
>                      com.xpn.xwiki.plugin.ldap.LDAPPlugin,\
>                      com.xpn.xwiki.plugin.google.GooglePlugin,\
>                      com.xpn.xwiki.plugin.flickr.FlickrPlugin,\
>                      com.xpn.xwiki.plugin.mail.MailPlugin,\
>                      com.xpn.xwiki.plugin.packaging.PackagePlugin,\
>                      com.xpn.xwiki.plugin.query.QueryPlugin,\
>                      com.xpn.xwiki.plugin.svg.SVGPlugin,\
>                      com.xpn.xwiki.plugin.charts.ChartingPlugin,\
>                      com.xpn.xwiki.plugin.fileupload.FileUploadPlugin,\
>                      com.xpn.xwiki.plugin.image.ImagePlugin,\
>                      com.xpn.xwiki.plugin.captcha.CaptchaPlugin,\
>                      com.xpn.xwiki.plugin.userdirectory.UserDirectoryPlugin,\
>
> com.xpn.xwiki.plugin.usertools.XWikiUserManagementToolsImpl,\
>                      com.xpn.xwiki.plugin.zipexplorer.ZipExplorerPlugin,\
>                      com.xpn.xwiki.plugin.autotag.AutoTagPlugin,\
>                      com.xpn.xwiki.plugin.lucene.LucenePlugin,\
>                      com.xpn.xwiki.plugin.diff.DiffPlugin,\
>                      com.xpn.xwiki.plugin.rightsmanager.RightsManagerPlugin,\
>                      com.xpn.xwiki.plugin.jodatime.JodaTimePlugin,\
>                      com.xpn.xwiki.plugin.scheduler.SchedulerPlugin,\
>                      com.xpn.xwiki.plugin.mailsender.MailSenderPlugin,\
>
> com.xpn.xwiki.plugin.activitystream.plugin.ActivityStreamPlugin, \
>                      com.xpn.xwiki.plugin.watchlist.WatchListPlugin, \
>                      com.xpn.xwiki.wysiwyg.server.plugin.WysiwygPlugin, \
>                      com.xpn.xwiki.plugin.tag.TagPlugin
>
>

> What else might it be?

Can you edit a new page in Wiki mode and set the content to:

-----8<-----
{{velocity}}
$xwiki.wysiwyg

$xwiki.wysiwyg.isSyntaxSupported("xwiki/2.0")
{{/velocity}}
----->8-----

(making sure the syntax displayed in the Document Information panel is
"XWiki 2.0"). Save and view. The result should be similar to:

-----8<-----
com.xpn.xwiki.wysiwyg.server.plugin.WysiwygPluginApi@563e25fd

true
----->8-----

What do you get?

Hope this helps,
Marius

>
> Thanks
>
> Lee
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

RE: The new GWT-based WYSIWYG editor doesn't support the syntax

Lee Chalupa
Hello:
 
I determined that I am not able to create a new page.  I get a message that that page already exists.  Tried creating pages with different names under different users but I keep getting the same error message.
 
I attached a pic of the error message.
 
Thanks
 
lee
 
 
 
-------- Original Message --------
Subject: Re: The new GWT-based WYSIWYG editor doesn't support
the syntax
From: "Marius Dumitru Florea [via XWiki]"
<[hidden email]>
Date: Sun, June 13, 2010 4:03 am
To: Lee Chalupa <[hidden email]>

Hi Lee,

On 06/12/2010 09:51 PM, Lee Chalupa wrote:

>
> Hello. The plugin is in the config file.  Here is a list of my plugins.
>
> xwiki.plugins=\
>                      com.xpn.xwiki.monitor.api.MonitorPlugin,\
>                       com.xpn.xwiki.plugin.calendar.CalendarPlugin,\
>                      com.xpn.xwiki.plugin.skinx.JsSkinExtensionPlugin,\
>                      com.xpn.xwiki.plugin.skinx.JsSkinFileExtensionPlugin,\
>                      com.xpn.xwiki.plugin.skinx.CssSkinExtensionPlugin,\
>                      com.xpn.xwiki.plugin.skinx.CssSkinFileExtensionPlugin,\
>                      com.xpn.xwiki.plugin.feed.FeedPlugin,\
>                      com.xpn.xwiki.plugin.ldap.LDAPPlugin,\
>                      com.xpn.xwiki.plugin.google.GooglePlugin,\
>                      com.xpn.xwiki.plugin.flickr.FlickrPlugin,\
>                      com.xpn.xwiki.plugin.mail.MailPlugin,\
>                      com.xpn.xwiki.plugin.packaging.PackagePlugin,\
>                      com.xpn.xwiki.plugin.query.QueryPlugin,\
>                      com.xpn.xwiki.plugin.svg.SVGPlugin,\
>                      com.xpn.xwiki.plugin.charts.ChartingPlugin,\
>                      com.xpn.xwiki.plugin.fileupload.FileUploadPlugin,\
>                      com.xpn.xwiki.plugin.image.ImagePlugin,\
>                      com.xpn.xwiki.plugin.captcha.CaptchaPlugin,\
>                      com.xpn.xwiki.plugin.userdirectory.UserDirectoryPlugin,\
>
> com.xpn.xwiki.plugin.usertools.XWikiUserManagementToolsImpl,\
>                      com.xpn.xwiki.plugin.zipexplorer.ZipExplorerPlugin,\
>                      com.xpn.xwiki.plugin.autotag.AutoTagPlugin,\
>                      com.xpn.xwiki.plugin.lucene.LucenePlugin,\
>                      com.xpn.xwiki.plugin.diff.DiffPlugin,\
>                      com.xpn.xwiki.plugin.rightsmanager.RightsManagerPlugin,\
>                      com.xpn.xwiki.plugin.jodatime.JodaTimePlugin,\
>                      com.xpn.xwiki.plugin.scheduler.SchedulerPlugin,\
>                      com.xpn.xwiki.plugin.mailsender.MailSenderPlugin,\
>
> com.xpn.xwiki.plugin.activitystream.plugin.ActivityStreamPlugin, \
>                      com.xpn.xwiki.plugin.watchlist.WatchListPlugin, \
>                      com.xpn.xwiki.wysiwyg.server.plugin.WysiwygPlugin, \
>                      com.xpn.xwiki.plugin.tag.TagPlugin
>
>

> What else might it be?

Can you edit a new page in Wiki mode and set the content to:

-----8<-----
{{velocity}}
$xwiki.wysiwyg

$xwiki.wysiwyg.isSyntaxSupported("xwiki/2.0")
{{/velocity}}
----->8-----

(making sure the syntax displayed in the Document Information panel is
"XWiki 2.0"). Save and view. The result should be similar to:

-----8<-----
com.xpn.xwiki.wysiwyg.server.plugin.WysiwygPluginApi@563e25fd

true
----->8-----

What do you get?

Hope this helps,
Marius

>
> Thanks
>
> Lee
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users



View message @ http://xwiki.475771.n2.nabble.com/The-new-GWT-based-WYSIWYG-editor-doesn-t-support-the-syntax-tp5135766p5173806.html
To unsubscribe from Re: The new GWT-based WYSIWYG editor doesn't support the syntax, click here.


message.bmp (638K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: The new GWT-based WYSIWYG editor doesn't support the syntax

Marius Dumitru Florea
Hi Lee,

How do you create new pages? Did you try using an URL like:

http://<your-server>/xwiki/bin/edit/SomeSpace/YourNewPage?editor=wiki

Hope this helps,
Marius

On 06/14/2010 05:15 PM, Lee Chalupa wrote:

>
> Hello:
> &nbsp;
> I&nbsp;determined that I&nbsp;am not able to create a new page.&nbsp; I get a message that that page already exists.&nbsp; Tried&nbsp;creating pages with different names&nbsp;under different users but I keep&nbsp;getting the same error message.
> &nbsp;
> I attached a pic of the error message.
> &nbsp;
> Thanks
> &nbsp;
> lee
> &nbsp;
> &nbsp;
> &nbsp;
>
> -------- Original Message -------- Subject: Re: The new GWT-based WYSIWYG editor doesn't support the syntax From: "Marius Dumitru Florea [via XWiki]"&lt; [hidden email]&gt; Date: Sun, June 13, 2010 4:03 am To: Lee Chalupa&lt; [hidden email]&gt; Hi Lee, On 06/12/2010 09:51 PM, Lee Chalupa wrote:
> &gt;&gt; Hello. The plugin is in the config file.&nbsp;Here is a list of my plugins.&gt;&gt; xwiki.plugins=\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.monitor.api.MonitorPlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; com.xpn.xwiki.plugin.calendar.CalendarPlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.skinx.JsSkinExtensionPlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.skinx.JsSkinFileExtensionPlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.skinx.CssSkinExtensionPlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.skinx.CssSkinFileExtensionPlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.feed.FeedPlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n
bsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.ldap.LDAPPlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.google.GooglePlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.flickr.FlickrPlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.mail.MailPlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.packaging.PackagePlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.query.QueryPlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.svg.SVGPlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.charts.ChartingPlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.fileupload.FileUploadPlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.image.ImagePlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.captcha.CaptchaPlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.userdirectory.UserDirectoryPlugin,\&gt;&gt; com.xpn.xwiki.plugin.usertools.XWikiUserManagementToolsImpl,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.zipexplorer.ZipExplorerPlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.autotag.AutoTagPlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.lucene.LucenePlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.diff.DiffPlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.rightsmanager.RightsManagerPlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbs
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.jodatime.JodaTimePlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.scheduler.SchedulerPlugin,\&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.mailsender.MailSenderPlugin,\&gt;&gt; com.xpn.xwiki.plugin.activitystream.plugin.ActivityStreamPlugin, \&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.watchlist.WatchListPlugin, \&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.wysiwyg.server.plugin.WysiwygPlugin, \&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;com.xpn.xwiki.plugin.tag.TagPlugin&gt;&gt;&gt; What else might it be? Can you edit a new page in Wiki mode and set the content to: -----8&lt;----- {{velocity}} $xwiki.wysiwyg $xwiki.wysiwyg.isSyntaxSupported("xwiki/2.0") {{/velocity}} -----&gt;8----- (making sure the syntax d
isplayed in the Document Information panel is "XWiki 2.0"). Save and view. The result should be similar to: -----8&lt;----- com.xpn.xwiki.wysiwyg.server.plugin.WysiwygPluginApi@563e25fd true -----&gt;8----- What do you get? Hope this helps, Marius&gt;&gt; Thanks&gt;&gt; Lee _______________________________________________ users mailing list [hidden email]  http://lists.xwiki.org/mailman/listinfo/users
>
>
> View message @ http://xwiki.475771.n2.nabble.com/The-new-GWT-based-WYSIWYG-editor-doesn-t-support-the-syntax-tp5135766p5173806.html  To unsubscribe from Re: The new GWT-based WYSIWYG editor doesn't support the syntax, click here .
>
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: The new GWT-based WYSIWYG editor doesn't support the syntax

Lee Chalupa
I used the url you sent me to create a new page.

Entered the code you sent me.

I can't complete the next step:

"making sure the syntax d
isplayed in the Document Information panel is "XWiki 2.0"). Save and view."

My document information panel does not have any reference to a field with a value such as XWiki 2.0?

lee
Reply | Threaded
Open this post in threaded view
|

Re: The new GWT-based WYSIWYG editor doesn't support the syntax

Marius Dumitru Florea
On 06/15/2010 06:01 PM, Lee Chalupa wrote:

>
> I used the url you sent me to create a new page.
>
> Entered the code you sent me.
>
> I can't complete the next step:
>
> "making sure the syntax d
> isplayed in the Document Information panel is "XWiki 2.0"). Save and view."
>
> My document information panel does not have any reference to a field with a
> value such as XWiki 2.0?

Have you installed the 2.3 XAR? Maybe the Document Information panel was
not updated. Otherwise, maybe you don't have administration right or
you're using a custom skin. Anyway, since XWiki Enterprise 2.0 new pages
have XWiki 2.0 syntax set by default. What is displayed after you save
the page?

Hope this helps,
Marius

>
> lee
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: The new GWT-based WYSIWYG editor doesn't support the syntax

Lee Chalupa

I did save the page.  The brackets disappear as does the "velocity" tags and there is no change in the
message that I originally entered.

This time I signed in as Admin. Didn't make any difference. The last user I tested it with should have admin rights.

I am not aware that I'm using any custom skin. It is unintentional if I am.  Let's rule this out. How can I make sure I'm running an out of the box skin?

Lee
Reply | Threaded
Open this post in threaded view
|

Re: The new GWT-based WYSIWYG editor doesn't support the syntax

Lee Chalupa
Ok. I made some progress.  I've been checking the xwiki.cfg file comparing it's content to the default file that comes with the release.

After these changes, on the page information panel, I am not getting another field: page syntax.  I am only able to get one value in that field:  1.0 syntax, not the 2.0 syntax. So I don't have a choice.
How do I fix that?

We are getting closer.

Reply | Threaded
Open this post in threaded view
|

Re: The new GWT-based WYSIWYG editor doesn't support the syntax

Lee Chalupa
Sorry, I'm getting tired.  The last post has an error in it.  It should say that I AM NOW getting the page syntax field. This field was not displaying in earlier tests.  However I'm only able to get one value in it.

lee
Reply | Threaded
Open this post in threaded view
|

Re: The new GWT-based WYSIWYG editor doesn't support the syntax

Lee Chalupa
More testing...also found this error. I have double checked that the plug in is in the config file.

The Application Manager plugin is not enabled. This page will not work properly. Make sure "com.xpn.xwiki.plugin.applicationmanager.ApplicationManagerPlugin" is listed in xwiki.plugins parameter in xwiki.cfg file.


Reply | Threaded
Open this post in threaded view
|

Re: The new GWT-based WYSIWYG editor doesn't support the syntax

Marius Dumitru Florea
In reply to this post by Lee Chalupa
On 06/15/2010 09:44 PM, Lee Chalupa wrote:
>
> Sorry, I'm getting tired.  The last post has an error in it.  It should say
> that I AM NOW getting the page syntax field. This field was not displaying
> in earlier tests.  However I'm only able to get one value in it.

Do you have:

xwiki.rendering.syntaxes = xwiki/1.0, xwiki/2.0

in your xwiki.cfg file?

Hope this helps,
Marius

>
> lee
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

RE: The new GWT-based WYSIWYG editor doesn't support the syntax

Lee Chalupa
Yes.  Just checked it again.
 
Lee 
 
-------- Original Message --------
Subject: Re: The new GWT-based WYSIWYG editor doesn't support the
syntax
From: "Marius Dumitru Florea [via XWiki]"
<[hidden email]>
Date: Wed, June 16, 2010 1:15 am
To: Lee Chalupa <[hidden email]>

On 06/15/2010 09:44 PM, Lee Chalupa wrote:
>
> Sorry, I'm getting tired.  The last post has an error in it.  It should say
> that I AM NOW getting the page syntax field. This field was not displaying
> in earlier tests.  However I'm only able to get one value in it.

Do you have:

xwiki.rendering.syntaxes = xwiki/1.0, xwiki/2.0

in your xwiki.cfg file?

Hope this helps,
Marius

>
> lee
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users



View message @ http://xwiki.475771.n2.nabble.com/The-new-GWT-based-WYSIWYG-editor-doesn-t-support-the-syntax-tp5135766p5185153.html
To unsubscribe from Re: The new GWT-based WYSIWYG editor doesn't support the syntax, click here.

Reply | Threaded
Open this post in threaded view
|

RE: The new GWT-based WYSIWYG editor doesn't support the syntax

Lee Chalupa
In reply to this post by Marius Dumitru Florea
Marius thanks for your time.
 
I give up.  After three days, I have no more time to spend on this.
 
How do I salvage the data that is in the wiki?  I'm going to blow this thing away.
 
Is my data lost with it?
 
Lee 
 
-------- Original Message --------
Subject: RE: The new GWT-based WYSIWYG editor doesn't support the
syntax
From: [hidden email]
Date: Wed, June 16, 2010 10:19 am
To: "Marius Dumitru Florea [via XWiki]"
<[hidden email]>

Yes.  Just checked it again.
 
Lee 
 
-------- Original Message --------
Subject: Re: The new GWT-based WYSIWYG editor doesn't support the
syntax
From: "Marius Dumitru Florea [via XWiki]"
<[hidden email]>
Date: Wed, June 16, 2010 1:15 am
To: Lee Chalupa <[hidden email]>

On 06/15/2010 09:44 PM, Lee Chalupa wrote:
>
> Sorry, I'm getting tired.  The last post has an error in it.  It should say
> that I AM NOW getting the page syntax field. This field was not displaying
> in earlier tests.  However I'm only able to get one value in it.

Do you have:

xwiki.rendering.syntaxes = xwiki/1.0, xwiki/2.0

in your xwiki.cfg file?

Hope this helps,
Marius

>
> lee
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users



View message @ http://xwiki.475771.n2.nabble.com/The-new-GWT-based-WYSIWYG-editor-doesn-t-support-the-syntax-tp5135766p5185153.html
To unsubscribe from Re: The new GWT-based WYSIWYG editor doesn't support the syntax, click here.

Reply | Threaded
Open this post in threaded view
|

Re: The new GWT-based WYSIWYG editor doesn't support the syntax

Marius Dumitru Florea
On 06/16/2010 06:29 PM, Lee Chalupa wrote:
>
> Marius thanks for your time.
> &nbsp;
> I give up.&nbsp; After&nbsp;three&nbsp;days, I have no more time to spend on this.
> &nbsp;
> How do I salvage the data that is in the wiki?&nbsp;&nbsp;I'm going to blow this thing away.

You can export all your wiki pages as a XAR archive (see the Export
section in the wiki administration page) which you can later import in a
different XWiki Enterprise instance. Note that the XAR is in fact a zip
archive and contains XML files describing each of your wiki pages.

Alternatively you can do a database dump, if you database supports it.

Hope this helps,
Marius

> &nbsp;
> Is my data lost with&nbsp;it?
> &nbsp;
> Lee&nbsp;
> &nbsp;
>
> -------- Original Message -------- Subject: RE: The new GWT-based WYSIWYG editor doesn't support the syntax From: [hidden email] Date: Wed, June 16, 2010 10:19 am To: "Marius Dumitru Florea [via XWiki]"&lt; [hidden email]&gt;
> Yes.&nbsp; Just checked it again.
> &nbsp;
> Lee&nbsp;
> &nbsp;
>
> -------- Original Message -------- Subject: Re: The new GWT-based WYSIWYG editor doesn't support the syntax From: "Marius Dumitru Florea [via XWiki]"&lt; [hidden email]&gt; Date: Wed, June 16, 2010 1:15 am To: Lee Chalupa&lt; [hidden email]&gt; On 06/15/2010 09:44 PM, Lee Chalupa wrote:&gt;&gt; Sorry, I'm getting tired.&nbsp;The last post has an error in it.&nbsp;It should say&gt; that I AM NOW getting the page syntax field. This field was not displaying&gt; in earlier tests.&nbsp;However I'm only able to get one value in it. Do you have: xwiki.rendering.syntaxes = xwiki/1.0, xwiki/2.0 in your xwiki.cfg file? Hope this helps, Marius&gt;&gt; lee _______________________________________________ users mailing list [hidden email]  http://lists.xwiki.org/mailman/listinfo/users
>
>
> View message @ http://xwiki.475771.n2.nabble.com/The-new-GWT-based-WYSIWYG-editor-doesn-t-support-the-syntax-tp5135766p5185153.html  To unsubscribe from Re: The new GWT-based WYSIWYG editor doesn't support the syntax, click here .
>
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users